## debpkg 0.0.2

=== Makefile ===
# Makefile for debpkg

.PHONY: build install clean test run-example help

BINARY_NAME=debpkg
INSTALL_PATH=/usr/local/bin

# Default target
all: build

# Build the application
build:
	@echo "Building $(BINARY_NAME)..."
	go build -o $(BINARY_NAME) .
	@echo "Build complete: ./$(BINARY_NAME)"

# Install the application to system
install: build
	@echo "Installing $(BINARY_NAME) to $(INSTALL_PATH)..."
	sudo cp $(BINARY_NAME) $(INSTALL_PATH)/
	@echo "Installation complete. You can now run '$(BINARY_NAME)' from anywhere."

# Clean build artifacts
clean:
	@echo "Cleaning..."
	rm -f $(BINARY_NAME)
	go clean

# Run tests
test:
	@echo "Running tests..."
	go test ./...

# Download dependencies
deps:
	@echo "Downloading dependencies..."
	go mod download
	go mod tidy

# Show help
help:
	@echo "Available targets:"
	@echo "  build     - Build the application"
	@echo "  install   - Install the application to $(INSTALL_PATH)"
	@echo "  clean     - Clean build artifacts"
	@echo "  test      - Run tests"
	@echo "  deps      - Download and tidy dependencies"
	@echo "  help      - Show this help message"

## debpkg 0.0.1

=== debian/changelog ===
debpkg (0.0.1) unstable; urgency=medium

  * Initial release (Closes: #1121599)

 -- Otto Kekäläinen <otto@debian.org>  Fri, 27 Dec 2024 21:58:55 -0800

=== debian/control ===
Source: debpkg
Section: golang
Priority: optional
Maintainer: Otto Kekäläinen <otto@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-charmbracelet-lipgloss-dev,
 golang-github-schollz-progressbar-dev,
 golang-github-spf13-cobra-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.5
Vcs-Browser: https://salsa.debian.org/otto/debpkg
Vcs-Git: https://salsa.debian.org/otto/debpkg.git
Homepage: https://salsa.debian.org/otto/debpkg
XS-Go-Import-Path: salsa.debian.org/otto/debpkg

Package: debpkg
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using:
 ${misc:Static-Built-Using},
Built-Using:
 ${misc:Built-Using},
Description: Simple Debian packaging tool
 Debpkg is a command-line tool for downloading and installing Debian packages
 from URLs. This tool simplifies the process of installing .deb packages by
 handling the download and installation in one command.

## debpkg 0.0.2

=== debian/changelog ===
debpkg (0.0.2) unstable; urgency=medium

  * Drop redundant `Priority: optional`
  * Bump Debian Policy version to 4.7.3
  * Update copyright for 2026
  * Update git-buildpackage config to not nag about branch

 -- Otto Kekäläinen <otto@debian.org>  Wed, 11 Feb 2026 11:11:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: debpkg
 Section: golang
-Priority: optional
 Maintainer: Otto Kekäläinen <otto@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,7 +9,7 @@
  golang-github-schollz-progressbar-dev,
  golang-github-spf13-cobra-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.5
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/otto/debpkg
 Vcs-Git: https://salsa.debian.org/otto/debpkg.git
 Homepage: https://salsa.debian.org/otto/debpkg

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=debian/_build --buildsystem=golang
